<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 
http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>de.dhbwstuttgart</groupId>
	<artifactId>JavaTXcompiler</artifactId>
	<packaging>jar</packaging>

	<version>0.2</version>
	<name>JavaTXcompiler</name>
	<url>http://maven.apache.org</url>
	<dependencies>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.11</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.antlr</groupId>
			<artifactId>antlr4</artifactId>
			<version>4.7</version>
		</dependency>
		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
			<version>2.6</version>
		</dependency>
		<dependency>
			<groupId>com.google.guava</groupId>
			<artifactId>guava</artifactId>
			<version>22.0</version>
		</dependency>
		<dependency>
			<groupId>org.reflections</groupId>
			<artifactId>reflections</artifactId>
			<version>0.9.11</version>
		</dependency>
		<!-- https://mvnrepository.com/artifact/org.ow2.asm/asm -->
		<dependency>
			<groupId>org.ow2.asm</groupId>
			<artifactId>asm</artifactId>
			<version>7.0</version>
		</dependency>
		<!-- <dependency> <groupId>org.ow2.asm</groupId> <artifactId>asm-all</artifactId> 
			<version>[4.0.0,)</version> </dependency> -->
		<!-- <dependency> <groupId>org.bitbucket.mstrobel</groupId> <artifactId>procyon-reflection</artifactId> 
			<version>[0.5.32,)</version> </dependency> -->
	</dependencies>

	<build>
		<directory>target</directory>
		<outputDirectory>target/classes</outputDirectory>
		<finalName>${project.artifactId}-${project.version}</finalName>
		<testOutputDirectory>target/test-classes</testOutputDirectory>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>3.0.0-M3</version>
				<configuration>
					<skipTests>true</skipTests>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.antlr</groupId>
				<artifactId>antlr4-maven-plugin</artifactId>
				<version>4.7</version>
				<executions>
					<execution>
						<id>antlr</id>
						<goals>
							<goal>antlr4</goal>
						</goals>
						<configuration>
							<sourceDirectory>src/main/antlr4/java8</sourceDirectory>
							<outputDirectory>${project.basedir}/target/generated-sources/antlr4/de/dhbwstuttgart/parser/antlr</outputDirectory>
							<arguments>
								<argument>-package</argument>
								<argument>de.dhbwstuttgart.parser.antlr</argument>
							</arguments>
						</configuration>
					</execution>
					<execution>
						<id>aspParser</id>
						<goals>
							<goal>antlr4</goal>
						</goals>
						<configuration>
							<sourceDirectory>src/main/antlr4/sat</sourceDirectory>
							<outputDirectory>${project.basedir}/target/generated-sources/antlr4/de/dhbwstuttgart/sat/asp/parser/antlr</outputDirectory>
							<arguments>
								<argument>-package</argument>
								<argument>de.dhbwstuttgart.sat.asp.parser.antlr</argument>
							</arguments>
						</configuration>
					</execution>

				</executions>
			</plugin>
			<plugin>
				<artifactId>maven-assembly-plugin</artifactId>
				<executions>
					<execution>
						<phase>package</phase>
						<goals>
							<goal>single</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<descriptorRefs>
						<descriptorRef>jar-with-dependencies</descriptorRef>
					</descriptorRefs>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.reficio</groupId>
				<artifactId>p2-maven-plugin</artifactId>
				<version>1.1.2-SNAPSHOT</version>
				<executions>
					<execution>
						<id>default-cli</id>
						<configuration>
							<artifacts>
								<!-- specify your depencies here -->
								<!-- groupId:artifactId:version -->
								<artifact>
									<id>de.dhbwstuttgart:JavaTXcompiler:0.2</id>
								</artifact>
								<artifact>
									<id>org.reflections:reflections:0.9.11</id>
								</artifact>
								<artifact>
									<id>com.google.guava:guava:22.0</id>
								</artifact>
								<artifact>
									<id>javax.annotation:javax.annotation-api:1.3.1</id>
								</artifact>
								<artifact>
									<id>org.glassfish:javax.annotation:3.1.1</id>
								</artifact>
							</artifacts>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
	<pluginRepositories>
		<pluginRepository>
			<id>reficio</id>
			<url>http://repo.reficio.org/maven/</url>
		</pluginRepository>
	</pluginRepositories>
	<repositories>
		<repository>
			<id>maven-repository</id>
			<url>file:///${project.basedir}/target</url>
		</repository>
	</repositories>
	<properties>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
		<tycho.version>0.23.0</tycho.version>
	</properties>
	<distributionManagement>
		<repository>
			<id>maven-repository</id>
			<name>MyCo Internal Repository</name>
			<url>file:///${project.basedir}/maven-repository/</url>
		</repository>
	</distributionManagement>
</project>
